2017-09-25 18:40 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004198Kali Linux[All Projects] Kali Package Bugpublic2017-08-29 07:08
Reporterkimocoder 
Assigned Tosbrun 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2017.1 
Target VersionFixed in Version2017.2 
Summary0004198: driver v5.1.5 ready for rtl88xxau-dkms to fix crash
DescriptionPeople are reporting "freezes" & "crash" when using adapters like "AWUS1900" on the v4.3.21 driver. I've just updated the v5.1.5 branch in the https://github.com/aircrack-ng/rtl8812au repo with:

* Kernel v4.12 support
* DKMS support
* Removed duplicate adapter (diff from v4.3.21)

and the "new" driver fixes both the "freeze" & "crash" bugs reported the past week. beware that the DKMS install just installs rtl8812au, not the rtl8814au which currently needs to be put in modules manually at this time.

the "realtek-rtl88xxau-dkms" package should (again) be updated with the new branch to avoid the 2 bugs/problems reported to ensure support for most devices again.
Additional Informationsome more information/users discussions on the problems may be read/seen @

https://github.com/aircrack-ng/rtl8812au/issues/6
https://github.com/astsam/rtl8812au/issues/66
Attached Files

-Relationships
+Relationships

-Notes

~0007153

kimocoder (reporter)

issues related to TLP / powersaving also fixed.

~0007166

sbrun (manager)

new version 5.1.5~20170828-0kali1 is now in kali-rolling
+Notes

-Issue History
Date Modified Username Field Change
2017-08-27 14:42 kimocoder New Issue
2017-08-27 15:47 kimocoder Note Added: 0007153
2017-08-27 18:22 rhertzog Assigned To => sbrun
2017-08-27 18:22 rhertzog Status new => assigned
2017-08-29 07:08 sbrun Status assigned => resolved
2017-08-29 07:08 sbrun Resolution open => fixed
2017-08-29 07:08 sbrun Fixed in Version => 2017.2
2017-08-29 07:08 sbrun Note Added: 0007166
+Issue History